Package com.xebialabs.xlrelease.configuration

# Class TaskTimeoutSettings

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseConfiguration
com.xebialabs.xlrelease.domain.BaseSettings
com.xebialabs.xlrelease.configuration.TaskTimeoutSettings

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(root=CONFIGURATION, versioned=false, label="Task timeouts", description="Release uses these settings to determine whether task scripts should time out, and how long to wait before timing out.") public class TaskTimeoutSettings extends BaseSettings

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `SETTINGS_ID`

  ### Fields inherited from class com.xebialabs.xlrelease.domain.BaseSettings

  `BASE_ID`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskTimeoutSettings()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getCustomScriptTaskTimeout()`
  `Integer`
  `getFailureHandlerTimeout()`
  `Integer`
  `getPreconditionTimeout()`
  `Integer`
  `getScriptTaskTimeout()`
  `boolean`
  `isCustomScriptTaskTimeoutEnabled()`
  `boolean`
  `isPreconditionTimeoutEnabled()`
  `boolean`
  `isScriptTaskTimeoutEnabled()`
  `void`
  `setCustomScriptTaskTimeout(Integer customScriptTaskTimeout)`
  `void`
  `setCustomScriptTaskTimeoutEnabled(boolean customScriptTaskTimeoutEnabled)`
  `void`
  `setFailureHandlerTimeout(Integer failureHandlerTimeout)`
  `void`
  `setPreconditionTimeout(Integer preconditionTimeout)`
  `void`
  `setPreconditionTimeoutEnabled(boolean preconditionTimeoutEnabled)`
  `void`
  `setScriptTaskTimeout(Integer scriptTaskTimeout)`
  `void`
  `setScriptTaskTimeoutEnabled(boolean scriptTaskTimeoutEnabled)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

  `getCiUid, getFolderId, getTitle, hasId, isSupportedOn, setCiUid, setFolderId, setTitle`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### SETTINGS_ID

    public static final String SETTINGS_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TaskTimeoutSettings

    public TaskTimeoutSettings()

- ## Method Details

  - ### isScriptTaskTimeoutEnabled

    public boolean isScriptTaskTimeoutEnabled()

  - ### setScriptTaskTimeoutEnabled

    public void setScriptTaskTimeoutEnabled(boolean scriptTaskTimeoutEnabled)

  - ### getScriptTaskTimeout

    public Integer getScriptTaskTimeout()

  - ### setScriptTaskTimeout

    public void setScriptTaskTimeout(Integer scriptTaskTimeout)

  - ### isCustomScriptTaskTimeoutEnabled

    public boolean isCustomScriptTaskTimeoutEnabled()

  - ### setCustomScriptTaskTimeoutEnabled

    public void setCustomScriptTaskTimeoutEnabled(boolean customScriptTaskTimeoutEnabled)

  - ### getCustomScriptTaskTimeout

    public Integer getCustomScriptTaskTimeout()

  - ### setCustomScriptTaskTimeout

    public void setCustomScriptTaskTimeout(Integer customScriptTaskTimeout)

  - ### isPreconditionTimeoutEnabled

    public boolean isPreconditionTimeoutEnabled()

  - ### setPreconditionTimeoutEnabled

    public void setPreconditionTimeoutEnabled(boolean preconditionTimeoutEnabled)

  - ### getPreconditionTimeout

    public Integer getPreconditionTimeout()

  - ### setPreconditionTimeout

    public void setPreconditionTimeout(Integer preconditionTimeout)

  - ### getFailureHandlerTimeout

    public Integer getFailureHandlerTimeout()

  - ### setFailureHandlerTimeout

    public void setFailureHandlerTimeout(Integer failureHandlerTimeout)